import React from 'react';
import { OptionProps } from 'antd/lib/select';
export interface ScrollSelectProps {
    optionKey?: string;
    optionLabel?: string;
    optionCode?: string;
    showKey?: Boolean;
    pageSize?: number;
    value?: any;
    onSearch?: (params: any) => Promise<any>;
    onChange?: (val: string, option: React.ReactElement<OptionProps>) => void;
    renderOption?: (item: any) => React.ReactNode;
}
export default class ScrollSelect extends React.Component<ScrollSelectProps, any> {
    flag: boolean;
    static defaultProps: ScrollSelectProps;
    constructor(props: ScrollSelectProps);
    componentDidMount(): void;
    handleChange: (val: string, option: React.ReactElement<OptionProps, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)> | null) | (new (props: any) => React.Component<any, any, any>)>) => void;
    handleSearch: (value?: string) => void;
    handleBlur: (options: React.ReactNode[]) => void;
    handleScroll: (e: React.UIEvent<HTMLDivElement>) => void;
    render(): JSX.Element;
}
