import React from 'react';
import { Item } from './index';
declare type KeyFunc = (item: Item) => string;
export interface IOptionListProps {
    prefixCls: any;
    data: Array<Item>;
    height: number;
    itemKey: string | KeyFunc;
    itemHeight: number;
    searchValue?: string;
    notFoundContent?: React.ReactNode;
    onSelect: (item: Item) => void;
    onToggle?: (open?: boolean) => void;
    onScroll?: React.UIEventHandler<HTMLDivElement>;
}
export interface RefOptionListProps {
    onKeyDown: React.KeyboardEventHandler;
}
declare const RefOptionList: React.ForwardRefExoticComponent<IOptionListProps & React.RefAttributes<RefOptionListProps>>;
export default RefOptionList;
