import { Component } from 'react';
import './style';
export interface TimelineStep {
    id: number;
    messageTime: string;
    message: string;
    curStatus?: string;
    year?: string;
    week?: string;
}
export interface CusTimelineProps {
    steps: TimelineStep[];
}
export default class CusTimeline extends Component<CusTimelineProps, any> {
    constructor(props: CusTimelineProps);
    renderSteps(steps: TimelineStep[]): JSX.Element[];
    render(): JSX.Element;
}
