"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _antd = require("antd");

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var AvatarItem =
/*#__PURE__*/
function (_React$Component) {
  _inherits(AvatarItem, _React$Component);

  function AvatarItem() {
    _classCallCheck(this, AvatarItem);

    return _possibleConstructorReturn(this, _getPrototypeOf(AvatarItem).apply(this, arguments));
  }

  _createClass(AvatarItem, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          src = _this$props.src,
          size = _this$props.size,
          tips = _this$props.tips,
          _this$props$onClick = _this$props.onClick,
          onClick = _this$props$onClick === void 0 ? function () {} : _this$props$onClick;
      var cls = (0, _classnames["default"])("avatarItem", {
        "avatarItemLarge": size === 'large',
        "avatarItemSmall": size === 'small'
      });
      return _react["default"].createElement("li", {
        className: cls,
        onClick: onClick
      }, tips ? _react["default"].createElement(_antd.Tooltip, {
        title: tips
      }, _react["default"].createElement(_antd.Avatar, {
        src: src,
        size: size,
        style: {
          cursor: 'pointer'
        }
      })) : _react["default"].createElement(_antd.Avatar, {
        src: src,
        size: size
      }));
    }
  }]);

  return AvatarItem;
}(_react["default"].Component);

exports["default"] = AvatarItem;