import React from 'react';
export interface ICountDownProps {
    format?: (time: number) => string | React.ReactNode;
    target: Date | number;
    onEnd?: () => void;
    style?: React.CSSProperties;
}
export default class CountDown extends React.Component<ICountDownProps, any> {
    timer: number;
    interval: number;
    constructor(props: ICountDownProps);
    static getDerivedStateFromProps(nextProps: ICountDownProps, preState: any): {
        lastTime: number;
    } | null;
    componentDidMount(): void;
    componentDidUpdate(prevProps: ICountDownProps): void;
    componentWillUnmount(): void;
    defaultFormat: (time: number) => JSX.Element;
    tick: () => void;
    render(): JSX.Element;
}
