"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _antd = require("antd");

require("./style");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var CusTimeline =
/*#__PURE__*/
function (_Component) {
  _inherits(CusTimeline, _Component);

  function CusTimeline(props) {
    _classCallCheck(this, CusTimeline);

    return _possibleConstructorReturn(this, _getPrototypeOf(CusTimeline).call(this, props));
  }

  _createClass(CusTimeline, [{
    key: "renderSteps",
    value: function renderSteps(steps) {
      var timelineDot = function timelineDot(index) {
        if (index === 0) {
          return _react["default"].createElement("span", {
            className: "dotfirst"
          }, _react["default"].createElement(_antd.Icon, {
            type: "check"
          }));
        } else {
          return _react["default"].createElement("span", {
            className: "dots"
          });
        }
      };

      return steps.map(function (item, index) {
        return _react["default"].createElement(_antd.Timeline.Item, {
          key: index,
          dot: timelineDot(index)
        }, item.year && _react["default"].createElement("div", {
          className: "week"
        }, item.year, "\xA0", item.week), _react["default"].createElement("span", {
          className: "messageTime"
        }, item.messageTime), _react["default"].createElement("span", {
          className: "statusName"
        }, item.curStatus), _react["default"].createElement("span", {
          className: "message"
        }, item.message));
      });
    }
  }, {
    key: "render",
    value: function render() {
      var steps = this.props.steps;
      return _react["default"].createElement(_antd.Timeline, {
        className: "timelines"
      }, this.renderSteps(steps));
    }
  }]);

  return CusTimeline;
}(_react.Component);

exports["default"] = CusTimeline;