/// <reference types="react" />
import './style';
export interface File {
    id: string;
    name: string;
    originPath: string | null;
    path: string;
    thumbnailPath: string | null;
    type: string;
}
export interface FileProps {
    item: File;
    handlePreview: Function;
    isUploading: boolean;
    handleRemove: Function;
    width: number;
}
declare const File: (props: FileProps) => JSX.Element;
export default File;
