/// <reference types="react" />
export interface File {
    id: string;
    name: string;
    originPath: string | null;
    path: string;
    thumbnailPath: string | null;
    type: string;
}
export interface ImageProps {
    item: File;
    handlePreview: Function;
    isUploading: boolean;
    handleRemove: Function;
}
declare const Image: (props: ImageProps) => JSX.Element;
export default Image;
